### File

`src/lib/mixins/extract-form-definition.mixin.ts`

### Index

###### Methods
Protected extractFormDefinition

### Methods

Protected extractFormDefinition
`extractFormDefinition(control: AbstractControl)`
Defined in src/lib/mixins/extract-form-definition.mixin.ts:10
Parameters :
Name | Type | Optional
control | `AbstractControl` | No
Returns : `FormDefinition`

    import {
      AbstractControl,
      FormDefinition,
    } from '@rxap/forms';
    import { RxapFormSystemError } from '../error';

    export class ExtractFormDefinitionMixin {

      // TODO : change to AbstractControl from @rxap/forms
      protected extractFormDefinition(control: AbstractControl): FormDefinition {
        const formDefinition = control.rxapFormDefinition;

        if (!formDefinition) {
          throw new RxapFormSystemError('Could not find the form definition instance', '');
        }

        return formDefinition;
      }

    }

# results matching ""

# No results matching ""